/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/scene3ditem_p.h>)
#  include <private/scene3ditem_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_QtQuick_Scene3D()
{
    qmlRegisterModule("QtQuick.Scene3D", 2, 0);
    qmlRegisterModule("QtQuick.Scene3D", 2, 254);
    qmlRegisterModule("QtQuick.Scene3D", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Qt3DRender::Scene3DItem>("QtQuick.Scene3D", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("QtQuick.Scene3D", 6);
    qmlRegisterEnum<Qt3DRender::Scene3DItem::CameraAspectRatioMode>("Qt3DRender::Scene3DItem::CameraAspectRatioMode");
    qmlRegisterEnum<Qt3DRender::Scene3DItem::CompositingMode>("Qt3DRender::Scene3DItem::CompositingMode");
    QT_WARNING_POP
    qmlRegisterModule("QtQuick.Scene3D", 6, 12);
}

static const QQmlModuleRegistration qtQuickScene3DRegistration("QtQuick.Scene3D", qml_register_types_QtQuick_Scene3D);
